> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/fr/api-documentation/address-screening/batch-screen-addresses.md).

# Contrôler les Adresses par Lot

Le dépistage en masse des adresses est exécuté en tant que tâche asynchrone. Le système génère un ID de tâche unique pour chaque adresse, et les utilisateurs peuvent récupérer les résultats détaillés via l'API de tâche.

## Screen multiple addresses

> Submit a batch address screening task and return task IDs.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"Address Screen","description":"Address screening and retrieval APIs."}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"Production server"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"AddressesScreen":{"type":"object","required":["addresses"],"properties":{"addresses":{"type":"array","description":"The list of addresses to be screened. Provide between 1 and 100 addresses per request.","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/AddressScreen"}}}},"AddressScreen":{"type":"object","required":["address","chainId"],"properties":{"address":{"type":"string","description":"The address to be screened."},"chainId":{"type":"integer","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"includeDetails":{"type":"boolean","description":"Deprecated. Whether to include the legacy riskDetail field on every alert. Defaults to false. Still functional today; scheduled for removal on 2026-08-31.","deprecated":true}}},"ErrorCodeMsg":{"properties":{"code":{"type":"integer"},"msg":{"type":"string"}}},"AddressScreenTasksResult":{"type":"object","properties":{"taskIds":{"type":"array","description":"The list of task IDs.","items":{"type":"string","description":"The unique identifier for the task."}}}}}},"paths":{"/addresses/screen":{"post":{"tags":["Address Screen"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressesScreen"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/code","description":"The status code of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"msg":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/msg","description":"The message of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"data":{"$ref":"#/components/schemas/AddressScreenTasksResult"}}}}}}},"description":"Submit a batch address screening task and return task IDs.","summary":"Screen multiple addresses"}}}}
```
